<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Alleria
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php _e( 'Nothing Found', 'alleria' ); ?></h1>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'alleria' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'alleria' ); ?></p>
			<?php get_search_form(); ?>
                 
	</div><!-- .page-content --> 
        
        
		<header class="entry-header">
			<h1 class="entry-title"><?php _e( 'Or have a look at some random posts...', 'alleria' ); ?></h1>
		</header>
                    <?php
                        $args = array (
                                'posts_per_page'   => 10,
                                'orderby'          => 'rand',
                                'ignore_sticky_posts'	=> 1,
                        );
                        $randquery = new WP_Query( $args );
                        if ( $randquery->have_posts() ) {while ( $randquery->have_posts() ){$randquery->the_post();
                    ?>

                    <div class="random-posts">
                        <div class="custom_loopr random-h-border">
                            <h1><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h1>
                            <div class="random-posts-excerpt"><?php the_excerpt(); ?> </div>
                        </div>
                    </div>

                    <?php  }} else {} wp_reset_postdata();
                    ?>
                        
		<?php else : ?>

	<div class="page-content">
			<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'alleria' ); ?></p>
			<?php get_search_form(); ?>

	</div><!-- .page-content --> 
		<?php endif; ?>
</section><!-- .no-results -->
