<?php
/**
 * @package Alleria
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php $categories_list = get_the_category_list( __( ', ', 'alleria' ) );
		if ( $categories_list && alleria_categorized_blog() ) {
			printf( '<span class="cat-links">' . __( '%1$s', 'alleria' ) . '</span>', $categories_list );
		}
    ?>
	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        <?php $title = get_the_title(); if ( empty ($title) ) { ?>
            <h3><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'This post has no title.', 'alleria' ) ); ?>" rel="bookmark">Go to post...</a></h3>
        <?php } ?>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php alleria_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

    <div class="featured-img"><a href="<?php the_permalink(); ?>"> <?php the_post_thumbnail('featured-img'); ?></a></div>
	<div class="entry-content">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'alleria' ) ); ?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'alleria' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<div class="entry-footer-tags">
                    <?php alleria_entry_footer(); ?>
                </div>
                <div class="entry-footer-comments">
                    <?php 	if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
                            echo '<span class="comments-link">';
                            comments_popup_link( __( 'Leave a comment', 'alleria' ), __( '1 Comment', 'alleria' ), __( '% Comments', 'alleria' ) );
                            echo '</span>';
                    }
                    edit_post_link( __( 'Edit', 'alleria' ), '<span class="edit-link">', '</span>' );
                    ?>
                </div>
        </footer><!-- .entry-footer -->
</article><!-- #post-## -->
